/*<<dependency*/
define("biexcellence_openbi_sap_lumira_viz_exportppt-src/js/flow", ["biexcellence_openbi_sap_lumira_viz_exportppt-src/js/module"], function (moduleFunc) {
/*dependency>>*/
    var flowRegisterFunc = function(){
		var flow = sap.viz.extapi.Flow.createFlow({
		    id: "biexcellence.openbi.sap.lumira.viz.exportppt",
			name : "biExport 4 SAP Lumira Discovery",
			dataModel : "sap.viz.api.data.CrosstableDataset",
			type : "DIV"
		});
		var element = sap.viz.extapi.Flow.createElement({
		    id: "biexcellence.openbi.sap.lumira.viz.exportppt",
		    name: "biExport 4 SAP Lumira Discovery"
		});
		element.implement("sap.viz.elements.common.BaseGraphic", moduleFunc);
		/*Feeds Definition*/
		//ds1: City, Year
		var ds1 = {
		    "id": "biexcellence.openbi.sap.lumira.viz.exportppt.DS1",
		    "name": "X Axis",
		    "type": "Dimension",
		    "min": 0,
		    "max": 1,
		    "aaIndex": 1,
		    "minStackedDims": 0,
		    "maxStackedDims": Infinity
		};
		element.addFeed(ds1);
		
		//ms1: Margin, Quantity sold, Sales revenue
		var ms1 = {
		    "id": "biexcellence.openbi.sap.lumira.viz.exportppt.MS1",
		    "name": "Y Axis",
		    "type": "Measure",
		    "min": 0,
		    "max": 1,
		    "mgIndex": 1
		};
		element.addFeed(ms1);
		
        element.addProperty({
            name: "exportFormat",
            type: "String",
            defaultValue: "PowerPoint"
        });
		element.addProperty({
		    name: "renderingMode",
		    type: "String",
		    defaultValue: "Large"
		});
		element.addProperty({
		    name: "serverUrl",
		    type: "String",
		    defaultValue: "https://designstudioexport.biexcellence.com"
		});
		element.addProperty({
		    name: "parseCss",
		    type: "Boolean",
		    supportedValues: [true, false]
		});
		element.addProperty({
		    name: "separateSlides",
            type: "Boolean",
            supportedValues: [true, false]
		});
		element.addProperty({
		    name: "template",
		    type: "String",
		    defaultValue: ""
		});
		flow.addElement({
		    "element": element,
		    "propertyCategory": "configuration"
		});

		sap.viz.extapi.Flow.registerFlow(flow);
    };
    flowRegisterFunc.id = "biexcellence.openbi.sap.lumira.viz.exportppt";
    return {
        id : flowRegisterFunc.id,
        init : flowRegisterFunc
    };
});