define("biexcellence_openbi_sap_lumira_viz_exportppt-src/js/propertyeditor/spec",
    ["biexcellence_openbi_sap_lumira_viz_exportppt-src/js/propertyeditor/renderers/checkbox",
     "biexcellence_openbi_sap_lumira_viz_exportppt-src/js/propertyeditor/renderers/textinput",
     "biexcellence_openbi_sap_lumira_viz_exportppt-src/js/propertyeditor/renderers/combobox"], function (checkBoxRenderer, textInputRenderer, comboboxRenderer) {
	//property editor spec
	var spec = {
	    "id": "biexcellence.openbi.sap.lumira.viz.exportppt",
		"dependencies": [],
		"components": [{
		    "id": "biexcellence.openbi.sap.lumira.viz.exportppt.extension",
			"provide": "sap.viz.controls.propertyeditor.view",
			"instance": {
			    'charts': ['biexcellence.openbi.sap.lumira.viz.exportppt'],
				'view': {
					'sections': [{
					    "id": "sap.viz.controls.propertyeditor.section.parameters",
						"caption": 'Export Parameters',
						"propertyZone": "PARAMETERS",
						"groups": [{
                            "id": "sap.viz.controls.propertyeditor.section.configuration.group.exportFormat",
                                'renderer': comboboxRenderer,
                                "config": {
                                "options": ["PowerPoint", "Word", "PDF", "Excel"],
                                "property": "configuration.exportFormat",
                                "label": "Export Format"
                            }
						}, {
                                "id": "sap.viz.controls.propertyeditor.section.configuration.group.template",
                                'renderer': textInputRenderer,
                                "config": {
                                    "property": "configuration.template",
                                    "label": "Export Template"
                                }
                            }, {
                                "id": "sap.viz.controls.propertyeditor.section.parameters.group.separateSlides",
                                'renderer': checkBoxRenderer,
                                "config": {
                                    "property": "configuration.separateSlides",
                                    "label": "Separate Slides (PowerPoint only)"
						    }
						}]
					}, {
					    'id': 'sap.viz.controls.propertyeditor.section.configuration',
						'propertyZone': 'CONFIGURATION',
						'caption': 'Export Configuration',
						"groups": [{
						    "id": "sap.viz.controls.propertyeditor.section.configuration.group.renderingMode",
						    'renderer': comboboxRenderer,
						    "config": {
						        "options": ["Large", "Small", "Link"],
						        "property": "configuration.renderingMode",
						        "label": "Rendering Mode"
						    }
						}, {
						    "id": "sap.viz.controls.propertyeditor.section.configuration.group.serverUrl",
						    'renderer': textInputRenderer,
						    "config": {
						        "property": "configuration.serverUrl",
						        "label": "Export Server URL"
						    }
						}, {
						    "id": "sap.viz.controls.propertyeditor.section.parameters.group.parseCss",
						    'renderer': checkBoxRenderer,
					    "config": {
					        "property": "configuration.parseCss",
					        "label": "Parse CSS Images"
					    }
					}]
					}]
				}
			}
		}]
	};
	return spec;
});