define("exportppt-bundle", ["biexcellence_openbi_sap_lumira_viz_exportppt-src/js/flow", "biexcellence_openbi_sap_lumira_viz_exportppt-src/js/propertyeditor/spec", "css!biexcellence_openbi_sap_lumira_viz_exportppt-src/style/default.css"],
    function (flowDefinition, propertyEditorSpec, cssStyleDeclaration) {
    var cssString="", rules, i;
    if (cssStyleDeclaration && cssStyleDeclaration.cssRules) {
            rules = cssStyleDeclaration.cssRules;
        for (i=0;i<rules.length;i++) {
            cssString += rules.item(i).cssText;
        }
    }
    var vizExtImpl = {
        viz   : [flowDefinition],
        module: [],
        feeds : [],
        cssString : cssString
    };
    var vizExtBundle = sap.bi.framework.declareBundle({
        "id": "biexcellence.openbi.sap.lumira.viz.exportppt",
        "version": "2.7.1",
        "components" : [{
            "id": "biexcellence.openbi.sap.lumira.viz.exportppt",
            "provide" : "sap.viz.impls",
            "instance" : vizExtImpl,
            "customProperties" : {
                "name" : "biExport 4 SAP Lumira Discovery",
                "description" : "",
                "icon": {
                    "path": "./biexcellence_openbi_sap_lumira_viz_exportppt-src/style/PPT_icon.png"
                },
                "category" : [],
                "requires": [{
                    "id": "sap.viz.common.core",
                    "version": "5.6.0"
                }],
                "resources": [{
                    "key": "sap.viz.controls.openpe.Language.loadPaths",
                    "path": "./biexcellence_openbi_sap_lumira_viz_exportppt-src/resources/languages/propertyeditor"
                }]
            }
        }]
    });

   vizExtBundle.components = vizExtBundle.components.concat(propertyEditorSpec.components);

   // sap.bi.framework.getService is defined in BundleLoader, which is
   // always available at this timeframe
   // in standalone mode sap.viz.js will force load and active the
   // "sap.viz.aio" bundle
   if (sap.bi.framework.getService("sap.viz.aio", "sap.viz.extapi")) {
       // if in standalone mode, sap.viz.loadBundle will be available,
       // and we load the bundle directly
       return sap.bi.framework.getService("sap.viz.aio", "sap.viz.extapi").core.registerBundle(vizExtBundle);
   } else {
       // if loaded by extension framework, return the "sap.viz.impls"
       return vizExtBundle;
   }
});